Subject: cygrunsrv and apache
From: Jonathan Albrecht <[email-masked]>
To: [email-masked]
Date: Wed, 15 Jan 2003 18:24:16 -0500

I've been trying to run apache as a service using cygrunsrv. I haven't 
changed the httpd.conf and running /usr/sbin/httpd from the command line 
works fine. Here is what I have done:

 > cygrunsrv -I apache -d "Cygwin apache" -p /usr/sbin/httpd -a -k -e 
"CYGWIN=ntsec nosmbntsec binmode tty"
 
          > cygrunsrv -S apache 

cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error 1062:
The service has not been started.

I've tried variations on the spaces and quotes in the command line but 
nothing has worked. Any ideas?

Here is my cygcheck -s output:

 > cygcheck -s

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Wed Jan 15 18:17:40 2003

Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 2

Path:   C:\cygwin\usr\local\bin
         C:\cygwin\bin
         C:\cygwin\bin
         D:\Perl\bin
         c:\WINNT\system32
         c:\WINNT
         c:\WINNT\System32\Wbem
         C:\cygwin\bin
         D:\src\ant\bin
         c:\Program
         Files\JProbe
         Suite
         4.6.9\bin
         c:\Program
         Files\JProbe
         Suite
         4.6.9\bin
         C:\cygwin\usr\local\bin\i686-pc-cygwin
         C:\cygwin\home\jonathan\local\bin

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

CYGWIN = `tty ntsec nosmbntsec'
HOME = `C:\cygwin\home\jonathan'
MAKE_MODE = `unix'
PWD = `/home/jonathan'
USER = `jonathan'

Use `-r' to scan registry

a:  fd           N/A    N/A
c:  hd  NTFS   10001Mb  57% CP CS UN PA FC     Local Disk
d:  hd  NTFS   28160Mb  39% CP CS UN PA FC     New Volume
e:  cd           N/A    N/A
h:  net NTFS   525920Mb  25% CP CS    PA        jonathan
s:  net NTFS   156327Mb  61% CP CS UN PA FC     Nightly Builds
w:  net NTFS   915312Mb  35% CP CS    PA        workroom
y:  cd           N/A    N/A

C:/cygwin      /                   system  binmode
D:             /d                  system  textmode
D:\\binmode    /d/binmode          system  binmode
h:             /homes/jonathan     system  binmode
C:/cygwin/bin  /usr/bin            system  binmode
C:/cygwin/lib  /usr/lib            system  binmode
W:             /workroom/jonathan  system  binmode
.              /cygdrive           user    binmode,cygdrive

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Found: C:\cygwin\bin\cpp.exe
Found: C:\cygwin\bin\find.exe
Found: C:\cygwin\bin\gcc.exe
Found: C:\cygwin\bin\gdb.exe
Found: C:\cygwin\bin\ld.exe
Found: C:\cygwin\bin\ls.exe
Found: C:\cygwin\bin\make.exe
Found: C:\cygwin\bin\sh.exe

   114k 2002/12/06 C:\cygwin\usr\local\bin\cygnetpbm10.dll
    58k 2002/05/07 C:\cygwin\bin\cygbz2-1.dll
    54k 2002/01/27 C:\cygwin\bin\cygbz21.0.dll
   847k 2003/01/09 C:\cygwin\bin\cygcrypto-0.9.7.dll
   644k 2002/12/08 C:\cygwin\bin\cygcrypto.dll
   380k 2002/07/24 C:\cygwin\bin\cygdb-3.1.dll
   487k 2002/07/24 C:\cygwin\bin\cygdb_cxx-3.1.dll
    50k 2002/03/17 C:\cygwin\bin\cygexslt-0.dll
    45k 2001/04/25 C:\cygwin\bin\cygform5.dll
    35k 2002/01/09 C:\cygwin\bin\cygform6.dll
    19k 2002/02/20 C:\cygwin\bin\cyggdbm.dll
    17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll
    20k 2002/10/10 C:\cygwin\bin\cyghistory5.dll
   306k 2002/04/27 C:\cygwin\bin\cyghttpd.dll
   929k 2002/06/24 C:\cygwin\bin\cygiconv-2.dll
    22k 2001/12/13 C:\cygwin\bin\cygintl-1.dll
    28k 2002/09/20 C:\cygwin\bin\cygintl-2.dll
    21k 2001/06/20 C:\cygwin\bin\cygintl.dll
    45k 2002/02/08 C:\cygwin\bin\cygjbig1.dll
   119k 2002/02/09 C:\cygwin\bin\cygjpeg6b.dll
    32k 2003/01/04 C:\cygwin\bin\cygltdl-3.dll
    26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll
    20k 2002/01/09 C:\cygwin\bin\cygmenu6.dll
   156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll
   175k 2002/01/09 C:\cygwin\bin\cygncurses++6.dll
   226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll
   202k 2002/01/09 C:\cygwin\bin\cygncurses6.dll
    15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll
    12k 2002/01/09 C:\cygwin\bin\cygpanel6.dll
    40k 2001/11/21 C:\cygwin\bin\cygpcre.dll
    39k 2001/11/21 C:\cygwin\bin\cygpcreposix.dll
   179k 2002/07/22 C:\cygwin\bin\cygpng12.dll
   170k 2002/01/21 C:\cygwin\bin\cygpng2.dll
    22k 2002/06/09 C:\cygwin\bin\cygpopt-0.dll
   108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll
   127k 2002/10/10 C:\cygwin\bin\cygreadline5.dll
   177k 2003/01/09 C:\cygwin\bin\cygssl-0.9.7.dll
   165k 2002/12/08 C:\cygwin\bin\cygssl.dll
   550k 2002/12/19 C:\cygwin\bin\cygtcl83.dll
    12k 2002/12/19 C:\cygwin\bin\cygtclpip83.dll
   253k 2002/02/10 C:\cygwin\bin\cygtiff3.dll
   217k 2002/12/19 C:\cygwin\bin\cygtix4183.dll
   830k 2002/12/19 C:\cygwin\bin\cygtk83.dll
   633k 2002/07/22 C:\cygwin\bin\cygxml2-2.dll
    41k 2002/01/20 C:\cygwin\bin\cygXpm-noX4.dll
    46k 2002/01/20 C:\cygwin\bin\cygXpm-X4.dll
   152k 2002/03/17 C:\cygwin\bin\cygxslt-1.dll
    15k 2002/03/17 C:\cygwin\bin\cygxsltbreakpoint-1.dll
    50k 2002/03/12 C:\cygwin\bin\cygz.dll
   880k 2002/12/25 C:\cygwin\bin\cygwin1.dll
     Cygwin DLL version info:
         DLL version: 1.3.18
         DLL epoch: 19
         DLL bad signal mask: 19005
         DLL old termios: 5
         DLL malloc env: 28
         API major: 0
         API minor: 69
         Shared data: 3
         DLL identifier: cygwin1
         Mount registry: 2
         Cygnus registry name: Cygnus Solutions
         Cygwin registry name: Cygwin
         Program options name: Program Options
         Cygwin mount registry name: mounts v2
         Cygdrive flags: cygdrive flags
         Cygdrive prefix: cygdrive prefix
         Cygdrive default prefix:
         Build date: Wed Dec 25 15:37:50 EST 2002
         Shared id: cygwin1S3

Cygwin Package Information
Package             Version
_update-info-dir    00121-1
apache              1.3.24-5
ash                 20020731-1
astyle              1.15.3-3
autoconf            2.54-1
autoconf-devel      2.57-1
autoconf-stable     2.13-4
automake            1.7.1-1
automake-devel      1.7.2-1
automake-stable     1.4p5-5
base-files          1.1-1
base-passwd         1.0-1
bash                2.05b-8
bc                  1.06-1
binutils            20021117-1
bison               1.75-1
byacc               1.9-1
bzip2               1.0.2-2
ccache              1.9-1
clear               1.0-1
compface            1.4-5
cron                3.0.1-7
crypt               1.0-1
ctags               5.2-1
cvs                 1.11.0-1
cygrunsrv           0.95-1
cygutils            1.1.3-1
cygwin              1.3.18-1
cygwin-doc          1.3-1
diff                1.0-1
diffutils           2.8.1-1
ed                  0.2-1
enscript            1.6.3-3
file                3.37-1
fileutils           4.1-1
findutils           4.1.7-4
flex                2.5.4-2
gawk                3.1.1-5
gcc                 3.2-3
gcc-mingw           20020817-5
gdb                 20021218-1
gdbm                1.8.0-4
gettext             0.11.5-1
ghostscript         7.05-2
ghostscript-base    7.05-2
grep                2.5-1
groff               1.18.1-2
gzip                1.3.3-4
indent              2.2.8-1
inetutils           1.3.2-20
jbigkit             1.2-6
jpeg                6b-7
less                378-1
libbz2_0            1.0.2-1
libbz2_1            1.0.2-2
libdb3.1            3.1.17-2
libiconv2           1.8-2
libintl             0.10.38-3
libintl1            0.10.40-1
libintl2            0.11.5-1
libltdl3            20030103-1
libncurses5         5.2-1
libncurses6         5.2-8
libpng12            1.2.4-2
libpng12-devel      1.2.4-2
libpng2             1.0.12-1
libpopt0            1.6.4-4
libreadline4        4.1-2
libreadline5        4.3-2
libtool             20020705-1
libtool-devel       20030103-1
libtool-stable      1.4.3-1
libxml2             2.4.23-1
libxslt             1.0.13-1
login               1.7-1
m4                  1.4-1
make                3.79.1-7
man                 1.5j-1
mingw-runtime       2.3-1
mktemp              1.4-1
mod_php4            4.2.0-1
nano                1.1.10-1
ncftp               3.1.4-1
ncurses             5.2-8
newlib-man          20020801
openssh             3.5p1-3
openssl             0.9.7-1
openssl096          0.9.6h-1
patch               2.5.8-2
pcre                3.7-1
perl                5.6.1-2
popt                1.6.4-4
postgresql          7.3.1-1
procps              010801-2
python              2.2.2-4
rcs                 5.7-3
readline            4.3-2
rsync               2.5.5-2
rxvt                2.7.9-4
sed                 4.0.5-1
sh-utils            2.0.15-3
shutdown            1.2-2
tar                 1.13.25-1
tcltk               20021218-1
tcsh                6.11.00-5
termcap             20020930-1
terminfo            5.2-3
texinfo             4.2-4
textutils           2.0.21-1
tiff                3.5.7-1
time                1.7-1
units               1.77-1
unzip               5.50-1
vim                 6.1-2
w32api              2.1-1
wget                1.8.2-2
which               1.5-1
xpm-nox             4.2.0-1
zip                 2.3-2
zlib                1.1.4-1

Use -h to see help about each section

Thanks,

Jon

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/